scala.tools.nsc.ast.parser.Parsers.Parser

# seqOK

###
Related Doc: package Parser

#### object seqOK extends SeqContextSensitive

The implementation for parsing inside of patterns at points where sequences are allowed.

Source
  Parsers.scala

Linear Supertypes
SeqContextSensitive, PatternContextSensitive, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. seqOK
2. SeqContextSensitive
3. PatternContextSensitive
4. AnyRef
5. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### def annotType(): Global.Tree

       AnnotType        ::=  SimpleType {Annotation}

   Definition Classes
     PatternContextSensitive

5. #### def argType(): Global.Tree

       ArgType       ::=  Type

   Definition Classes
     SeqContextSensitive → PatternContextSensitive

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def badPattern3(): Global.Tree

   Definition Classes
     SeqContextSensitive

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

9. #### def compoundType(): Global.Tree

       CompoundType ::= AnnotType {with AnnotType} [Refinement]
                     |  Refinement

   Definition Classes
     PatternContextSensitive

10. #### def compoundTypeRest(t: Global.Tree): Global.Tree

    Definition Classes
      PatternContextSensitive

11. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

14. #### def functionArgType(): Global.Tree

    Definition Classes
      SeqContextSensitive → PatternContextSensitive

15. #### def functionTypes(): List[Global.Tree]

    Definition Classes
      PatternContextSensitive

16. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

17. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

18. #### def infixType(mode: InfixMode.Value): Global.Tree

        InfixType ::= CompoundType {id [nl] CompoundType}

    Definition Classes
      PatternContextSensitive

19. #### def infixTypeRest(t: Global.Tree, mode: InfixMode.Value): Global.Tree

    Definition Classes
      PatternContextSensitive

20. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

21. #### val isSequenceOK: Boolean

    Definition Classes
      seqOK → SeqContextSensitive

22. #### def isXML: Boolean

    Definition Classes
      SeqContextSensitive

23. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

25. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

26. #### def pattern(): Global.Tree

        Pattern  ::=  Pattern1 { `|' Pattern1 }
        SeqPattern ::= SeqPattern1 { `|' SeqPattern1 }

    Definition Classes
      SeqContextSensitive

27. #### def pattern1(): Global.Tree

        Pattern1    ::= varid `:' TypePat
                      |  `_' `:' TypePat
                      |  Pattern2
        SeqPattern1 ::= varid `:' TypePat
                      |  `_' `:' TypePat
                      |  [SeqPattern2]

    Definition Classes
      SeqContextSensitive

28. #### def pattern2(): Global.Tree

        Pattern2    ::=  varid [ @ Pattern3 ]
                      |   Pattern3
        SeqPattern2 ::=  varid [ @ SeqPattern3 ]
                      |   SeqPattern3

    Definition Classes
      SeqContextSensitive

29. #### def pattern3(): Global.Tree

        Pattern3    ::= SimplePattern
                      |  SimplePattern {Id [nl] SimplePattern}

    Definition Classes
      SeqContextSensitive

30. #### def patterns(): List[Global.Tree]

        Patterns ::= Pattern { `,' Pattern }
        SeqPatterns ::= SeqPattern { `,' SeqPattern }

    Definition Classes
      SeqContextSensitive

31. #### def simplePattern(onError: () ⇒ Global.Tree): Global.Tree

    Definition Classes
      SeqContextSensitive

32. #### def simplePattern(): Global.Tree

        SimplePattern    ::= varid
                          |  `_'
                          |  literal
                          |  XmlPattern
                          |  StableId  /[TypeArgs]/ [`(' [Patterns] `)']
                          |  StableId  [`(' [Patterns] `)']
                          |  StableId  [`(' [Patterns] `,' [varid `@'] `_' `*' `)']
                          |  `(' [Patterns] `)'

    XXX: Hook for IDE

    Definition Classes
      SeqContextSensitive

33. #### def simpleType(): Global.Tree

        SimpleType       ::=  SimpleType TypeArgs
                           |  SimpleType `#' Id
                           |  StableId
                           |  Path `.' type
                           |  `(' Types `)'
                           |  WildcardType

    Definition Classes
      PatternContextSensitive

34. #### def simpleTypeRest(t: Global.Tree): Global.Tree

    Definition Classes
      PatternContextSensitive

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

37. #### def typ(): Global.Tree

        Type ::= InfixType `=>' Type
               | `(' [`=>' Type] `)' `=>' Type
               | InfixType [ExistentialClause]
        ExistentialClause ::= forSome `{' ExistentialDcl {semi ExistentialDcl}} `}'
        ExistentialDcl    ::= type TypeDcl | val ValDcl

    Definition Classes
      PatternContextSensitive

38. #### def typeArgs(): List[Global.Tree]

        TypeArgs    ::= `[' ArgType {`,' ArgType} `]'

    Definition Classes
      PatternContextSensitive

39. #### def types(): List[Global.Tree]

        Types ::= Type {`,' Type}

    Definition Classes
      PatternContextSensitive

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SeqContextSensitive

### Inherited from PatternContextSensitive

### Inherited from AnyRef

### Inherited from Any

### Ungrouped